Summary
Update Trigger
Description
Update a Trigger.
Route
PATCH /operations-manager/triggers/:id
Roles
admin
apiwrite
engineering
operations
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to update. |
| updates |
object |
yes |
The details of the Trigger document to update. |
Copied to Clipboard
{
"title": "updates",
"$schema": "http://json-schema.org/draft-07/schema",
"$id": "trigger-update",
"oneOf": [
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": false,
"actionType": "automations",
"actionId": "dadb22b92937d73bac364a6c",
"lastExecuted": null,
"migrationVersion": 49941822,
"type": "endpoint",
"verb": "POST",
"routeName": "hOEKj",
"jst": "4339160bdd94778968ca5c72"
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "3fbc5a022e9f44ba17943fc9",
"lastExecuted": null,
"migrationVersion": 7455872,
"type": "eventSystem",
"source": "deserunt ut",
"topic": "reprehenderit nisi ut",
"schema": null,
"jst": null
},
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "5b781d8c59ed0fab420b5966",
"lastExecuted": 61144410,
"migrationVersion": 36785605,
"type": "manual",
"formData": {
"ip": "1.2.3.4",
"name": "myNewDevice"
},
"formSchemaHash": "ullamco occaecat aliqua elit id",
"formId": "e2a2a514bbec90fb1df2f0c5"
},
{
"repeatUnit": "day",
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "ae099b58359550a254d71c00",
"lastExecuted": 4965092,
"migrationVersion": -95558473,
"repeatInterval": 30000,
"formId": "e1c6987a143e6eb531e50150"
}
]
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The result of the update operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"enabled": true,
"actionType": "automations",
"actionId": "499423322a7e58cf43b999be",
"lastExecuted": null,
"migrationVersion": 10252824,
"createdBy": "7b63ff2ca267b65feca7dd67",
"created": "1947-07-01T15:40:17.48Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1948-04-26T23:57:24.881Z",
"_id": "88231dd45d5b9e9f985baa88"
}
}